import Http from "@/libs/axios"
import { getToken } from "@/libs/auth"
import { URL_API, URL_API_GYM, URL_API_GYT, URL_API_KLX } from "@/config"

/** axios实例 */

/* 中台 */
export const httpAxios = new Http(URL_API)

// 不带滚动条的
export const httpAxiosNoNprogress = new Http(URL_API, {
   nprogress: false
})

/* 管乐迷 */
export const httpAxios_gym = new Http(URL_API_GYM, {
   tokenName: "Authorization",
   getTokenFun: getToken
})

/* 管乐团 */
export const httpAxios_gyt = new Http(URL_API_GYT, {
   tokenName: "Authorization",
   getTokenFun: getToken
})

/* 酷乐秀 */
export const httpAxios_klx = new Http(URL_API_KLX, {
   tokenName: "Authorization",
   getTokenFun: getToken
})
